/*
**    $Id: color.h,v 1.1 1993/06/26 18:44:07 pjs Exp $
**    Copyright (C) 1993  Patrick Sweeney
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef _COLOR_H_
#define _COLOR_H_

typedef u32_t COLORREF;

typedef struct tagRGBTRIPLE
{
	BYTE rgbtBlue;
	BYTE rgbtGreen;
	BYTE rgbtRed;
} RGBTRIPLE, *LPRGBTRIPLE;

typedef struct tagRGBQUAD
{
	BYTE rgbtBlue;
	BYTE rgbtGreen;
	BYTE rgbtRed;
	BYTE rgbtReserved;
} RGBQUAD, *LPRGBQUAD;

#endif /* _COLOR_H_ */
